Рекомендация Debian по безопасности

DSA-4550-1 file -- обновление безопасности

Дата сообщения:
25.10.2019
Затронутые пакеты:
file
Уязвим:
Да
Ссылки на базы данных по безопасности:
В каталоге Mitre CVE: CVE-2019-18218.
Более подробная информация:

В file, инструменте для классификации типов файлов, было обнаружено переполнение буфера, которое может приводить к отказу в обслуживании или выполнению произвольного кода в случае обработки специально сформированного CDF-файла.

В предыдущем стабильном выпуске (stretch) эта проблема была исправлена в версии 1:5.30-1+deb9u3.

В стабильном выпуске (buster) эта проблема была исправлена в версии 1:5.35-4+deb10u1.

Рекомендуется обновить пакеты file.

С подробным статусом поддержки безопасности file можно ознакомиться на соответствующей странице отслеживания безопасности по адресу https://security-tracker.debian.org/tracker/file